> ## Documentation Index
> Fetch the complete documentation index at: https://docs.together.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List regions and corresponding supported driver versions



## OpenAPI

````yaml GET /compute/regions
openapi: 3.1.0
info:
  title: Together APIs
  description: The Together REST API. See https://docs.together.ai for more details.
  version: 2.0.0
  termsOfService: https://www.together.ai/terms-of-service
  contact:
    name: Together Support
    url: https://www.together.ai/contact
  license:
    name: MIT
    url: https://github.com/togethercomputer/openapi/blob/main/LICENSE
servers:
  - url: https://api.together.ai/v1
security:
  - bearerAuth: []
paths:
  /compute/regions:
    get:
      tags:
        - RegionService
      summary: List regions and corresponding supported driver versions
      operationId: RegionService_List
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegionListResponse'
      x-codeSamples:
        - lang: Python
          label: Together AI SDK (v2)
          source: |
            from together import Together
            client = Together()

            regions = client.beta.clusters.list_regions()
            print(regions)
        - lang: TypeScript
          label: Together AI SDK (TypeScript)
          source: |
            import Together from "together-ai";
            const client = new Together();

            const regions = await client.beta.clusters.list_regions();
            console.log(regions);
        - lang: JavaScript
          label: Together AI SDK (JavaScript)
          source: |
            import Together from "together-ai";
            const client = new Together();

            const regions = await client.beta.clusters.list_regions();
            console.log(regions);
        - lang: Shell
          label: cURL
          source: |
            curl -X GET \
                  -H "Authorization: Bearer $TOGETHER_API_KEY" \
                  https://api.together.ai/v1/compute/regions
components:
  schemas:
    RegionListResponse:
      type: object
      required:
        - regions
      properties:
        regions:
          type: array
          items:
            type: object
            required:
              - name
              - supported_instance_types
              - driver_versions
            properties:
              name:
                description: Identifiable name of the region.
                type: string
              driver_versions:
                description: >-
                  List of supported identifiable cuda/nvidia driver versions
                  pairs available in the region.
                type: array
                items:
                  $ref: '#/components/schemas/ClusterDriverVersionInfo'
              supported_instance_types:
                description: List of supported identifiable gpus available in the region.
                type: array
                items:
                  type: string
    ClusterDriverVersionInfo:
      type: object
      description: >-
        CUDA/NVIDIA driver versions pair available in the region to use in the
        create cluster request.
      required:
        - cuda_version
        - nvidia_driver_version
      properties:
        cuda_version:
          description: CUDA driver version.
          type: string
        nvidia_driver_version:
          description: NVIDIA driver version.
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````